/*
 * nwIndex.h
 *
 *  Created on: 08.12.2015
 *      Author: andreas
 */

#ifndef NWINDEX_H_
#define NWINDEX_H_

struct chunk {
	char name[255];
	struct chunk *next;
	struct chunk *child;
};


struct checkedLine {
	int type;
	char *chunkNameStart;
	char *chunkNameEnd;
};

struct checkedLine checkLine(char *line);
void addChild(struct chunk *parent, char *childName);
void readChunk(FILE *inputFile, struct chunk *curChunk);
void readFileForChunk(FILE *inputFile, struct chunk *curChunk);

void push(struct chunk *item);
struct chunk *pop(void);

#endif /* NWINDEX_H_ */
